Bug 646663 - Rename review: drupal -> drupal6, F15+
Summary: Rename review: drupal -> drupal6, F15+
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Sven Lankes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 646606 646608 646610 646611 646612 646614
Blocks: 667447
TreeView+ depends on / blocked
 
Reported: 2010-10-25 21:20 UTC by Gwyn Ciesla
Modified: 2011-11-28 18:33 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-11-28 18:33:32 UTC
sven: fedora-review+


Attachments (Terms of Use)

Description Gwyn Ciesla 2010-10-25 21:20:47 UTC
Will be renaming entire drupal stack to drupal6, etc, to support parallell
installable drupal7 stack when that's available.


Won't actually be renaming drupal to drupal6.  drupal6 already exists, and is built for EL-5, EL-6 and is dead.packaged in rawhide.  This is a proposal to simple dead.package drupal in F-15, and un-dead.package drupal6 in F-15, and then have drupal6 Obsolete drupal in F-15.  Rename BZs for all modules have been filed.

Comment 1 Sven Lankes 2010-11-22 19:31:10 UTC
Jon, 

from /etc/httpd/conf.d/drupal6.conf:

Alias /drupal /usr/share/drupal6

that should probably be changed to drupal6 too so that parallel installation really works.

Also I suggest renaming drupal-README.fedora to drupal6-README.fedora.txt.

Said readme file also needs to be updated to give urls and paths as drupal6 instead of drupal.

Other than that things look good but please upload a spec-file somewhere so there is actually something to review (I've looked at the el6-srpm/spec for now).

Comment 3 Sven Lankes 2010-12-20 22:32:38 UTC
Most importantly: The spec is missing a pair of provides/obsoletes here.

rpmlint output:

> drupal6.noarch: W: spelling-error %description -l en_US weblogs -> we blogs, > we-blogs, web logs
> drupal6.noarch: W: spelling-error %description -l en_US Drupal -> Drupelet, Drupe, Druidical
> drupal6.noarch: W: spelling-error %description -l en_US skinnable -> winnable, scannable, skinniness

Those can be ignored

> drupal6.noarch: W: dangling-relative-symlink /usr/share/drupal6/sites ../../../etc/drupal6

Needed here.

> drupal6.noarch: E: non-standard-dir-perm /var/lib/drupal6/files/default 0775L
> drupal6.noarch: E: non-standard-dir-perm /var/lib/drupal6 0775L
> drupal6.noarch: E: non-standard-dir-perm /var/lib/drupal6/files 0775L

Those need to have group access for the web-server.

> drupal6.noarch: E: executable-marked-as-config-file /etc/cron.hourly/drupal6

The content of this is not going to change so marking it as config-file seems fine to me.

> drupal6.noarch: E: htaccess-file /usr/share/drupal6/.htaccess

Hmm. Is that .htaccess-file really neccessary there? I just removed the link on my test vm and things (frontend and backend) seem to be working as before.

Comment 4 Gwyn Ciesla 2010-12-22 20:54:13 UTC
There's been debate about the .htaccess file being moved to the .conf, but I forget where.

Obsoletes: done.  I don't think Provides: is needed.  New upstream:

SPEC: http://zanoni.jcomserv.net/fedora/drupal6/drupal6.spec
SRPM: http://zanoni.jcomserv.net/fedora/drupal6/drupal6-6.20-1.fc14.src.rpm

Comment 5 Sven Lankes 2011-01-05 21:22:18 UTC
I've finally gotten around to actually try the update.

It worked as expected. I agree that a provides isn't needed here - the new package isn't going to be a drop-in replacement anyway.

So - no scary new rpmlint warnings, the versioning is sane - this rename review is approved.

Sorry for the delay.

Comment 6 Gwyn Ciesla 2011-01-06 15:02:03 UTC
Ok.  Thanks!

I think what I'll do is hold off on pushing this until all the module renames are ready, and then send out an announcement and update the release notes.  We're not doing any data migration, and all the important paths in etc, usr/share and /var/lib are changing.

Comment 7 Gwyn Ciesla 2011-11-28 18:33:32 UTC
All modules renamed, drupal6 rename is a fait accompli in F15+.

Thanks all!


Note You need to log in before you can comment on or make changes to this bug.